Update install-dependencies Fedora packages after r181624
authorcommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 30 Mar 2015 17:01:45 +0000 (17:01 +0000)
committercommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 30 Mar 2015 17:01:45 +0000 (17:01 +0000)
https://bugs.webkit.org/show_bug.cgi?id=143215

Add json-glib, libv4l, openssl and pulseaudio development packages to
the Fedora list providing we need them to build WebKit dependencies
for this distribution.

Patch by Marcos Chavarría Teijeiro <chavarria1991@gmail.com> on 2015-03-30
Reviewed by Philippe Normand.

* gtk/install-dependencies:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@182144 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Tools/ChangeLog
Tools/gtk/install-dependencies

index 5faa5a6..a50e21b 100644 (file)
@@ -1,3 +1,16 @@
+2015-03-30  Marcos Chavarría Teijeiro  <chavarria1991@gmail.com>
+
+        Update install-dependencies Fedora packages after r181624
+        https://bugs.webkit.org/show_bug.cgi?id=143215
+
+        Add json-glib, libv4l, openssl and pulseaudio development packages to
+        the Fedora list providing we need them to build WebKit dependencies
+        for this distribution.
+
+        Reviewed by Philippe Normand.
+
+        * gtk/install-dependencies:
+
 2015-03-30  Commit Queue  <commit-queue@webkit.org>
 
         Unreviewed, rolling out r182119.
index c8cf3b1..05429ea 100755 (executable)
@@ -311,6 +311,7 @@ function installFedoraDependencies {
         gtk2-devel \
         gtk3-devel \
         harfbuzz-devel \
+       json-glib-devel \
         libXt-devel \
         libXtst-devel \
         libgudev1-devel \
@@ -319,13 +320,16 @@ function installFedoraDependencies {
         libpng-devel \
         libsecret-devel \
         libsoup-devel \
+       libv4l-devel \
         libwebp-devel \
         libxslt-devel \
         mesa-libGL-devel \
         ninja-build \
+       openssl-devel \
         pcre-devel \
         perl-Switch \
         perl-version \
+       pulseaudio-libs-devel \
         python-devel \
         orc-devel \
         ruby \